Ignore:
Timestamp:
2011-07-01T10:10:12+02:00 (5 years ago)
Author:
kaloz
Message:

[toolchain/gcc]: upgrade the linaro gcc to 2011.06

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/toolchain/gcc/patches/linaro/850-use_shared_libgcc.patch

    r27118 r27326  
    44 #define ENDFILE_SPEC \ 
    55   LINUX_OR_ANDROID_LD (LINUX_TARGET_ENDFILE_SPEC, ANDROID_ENDFILE_SPEC) 
    6  
     6  
    77-/* Use the default LIBGCC_SPEC, not the version in linux-elf.h, as we 
    88-   do not use -lfloat.  */ 
     
    2525--- a/gcc/config/linux.h 
    2626+++ b/gcc/config/linux.h 
    27 @@ -116,6 +116,10 @@ 
     27@@ -116,6 +116,10 @@ see the files COPYING3 and COPYING.RUNTI 
    2828 #define USE_LD_AS_NEEDED 1 
    2929 #endif 
     
    3838--- a/gcc/mkmap-symver.awk 
    3939+++ b/gcc/mkmap-symver.awk 
    40 @@ -132,5 +132,5 @@ 
     40@@ -132,5 +132,5 @@ function output(lib) { 
    4141   else if (inherit[lib]) 
    4242     printf("} %s;\n", inherit[lib]); 
     
    4747--- a/libgcc/Makefile.in 
    4848+++ b/libgcc/Makefile.in 
    49 @@ -265,7 +265,7 @@ 
     49@@ -265,7 +265,7 @@ ifeq ($(enable_shared),yes) 
    5050 # For -fvisibility=hidden.  We need both a -fvisibility=hidden on 
    5151 # the command line, and a #define to prevent libgcc2.h etc from 
Note: See TracChangeset for help on using the changeset viewer.